bws = libs.bwsops.BwSops("secrets.json")
uberspaceify = libs.uberspace.Uberspaceify()

nodes = uberspaceify.nodes({
    "clerie.uber.space": {
        "bundles": (
            "uberspace-redirect-clerie",
            "uberspace-clerie-backup",
        ),
        "metadata": {
            "clerie-backup": {
                "repos": {
                    "main-cyan": {
                        "repo_password": bws.get("clerie.uber.space/clerie-backup/main-cyan/repo_password"),
                        "repo_url": "https://cyan.backup.clerie.de/clerie.uber.space/main",
                        "auth_username": "clerie.uber.space",
                        "auth_password": bws.get("clerie.uber.space/clerie-backup/main-cyan/auth_password"),
                        "files": [
                            "/home/clerie",
                            "/var/www/virtual/clerie",
                        ],
                    },
                    "main-magenta": {
                        "repo_password": bws.get("clerie.uber.space/clerie-backup/main-magenta/repo_password"),
                        "repo_url": "https://magenta.backup.clerie.de/clerie.uber.space/main",
                        "auth_username": "clerie.uber.space",
                        "auth_password": bws.get("clerie.uber.space/clerie-backup/main-magenta/auth_password"),
                        "files": [
                            "/home/clerie",
                            "/var/www/virtual/clerie",
                        ],
                    },
                },
            },
        },
    },
    "cleriewi.uber.space": {
        "bundles": (
            "uberspace-redirect-clerie",
        ),
    },
})
